> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Hook Executions

> List execution history for a hook, newest first.



## OpenAPI

````yaml get /api/v1/hooks/{hook_id}/executions
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/hooks/{hook_id}/executions:
    get:
      tags:
        - hooks
        - Hooks
      summary: List Hook Executions
      description: List execution history for a hook, newest first.
      operationId: list_hook_executions_api_v1_hooks__hook_id__executions_get
      parameters:
        - name: hook_id
          in: path
          required: true
          schema:
            type: string
            title: Hook Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HookExecutionListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HookExecutionListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/HookExecutionResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
      type: object
      required:
        - items
        - total
      title: HookExecutionListResponse
      description: Paginated list of hook executions.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HookExecutionResponse:
      properties:
        id:
          type: string
          title: Id
        hook_id:
          type: string
          title: Hook Id
        trigger_type:
          type: string
          title: Trigger Type
        status:
          type: string
          title: Status
        actions_executed:
          type: integer
          title: Actions Executed
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        execution_context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Execution Context
        executed_at:
          type: string
          format: date-time
          title: Executed At
      type: object
      required:
        - id
        - hook_id
        - trigger_type
        - status
        - actions_executed
        - error_message
        - duration_ms
        - execution_context
        - executed_at
      title: HookExecutionResponse
      description: Response schema for a single hook execution record.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````